package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 交通事故场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneAccidentPO implements Serializable {

    private String accidentId;              // （唯一）
    private String sceneName;  //场景名称
    private String selfDriving;  //自车驾驶行为
    private String targetDriving;  //目标驾驶行为
    private String selfReaction ; //自车反应行为
    private String conflictBehavior ; //冲突行为
    private String conflictType ; //冲突类型
    private String scenceResume ; //场景描述
    private String sceneTime ; //场景时间
    private String sceneWeather ; //天气
    private String share ; //是否分析  1为分享
    private String videoAddress ; //视频地址
    private String osgbAddress  ;//
    private String xmlAddress ; //
    private String xodrAddress ; //
    private String jsonAddress ; //
    private String videoPreview;//视频预览地址
    private String label;//标签
    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录最后更新时间（包括删除）
     */
    public Timestamp modifyTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
    /**
     * 记录最后更新人（包括删除）（用户id）
     */
    public String modifyUserId;
    /**
     * 是否已删除
     */
    public String isDeleted;












}