package com.css.simulation.resource.monitor.mappper;

import api.common.pojo.po.home.SystemServerPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;


/**
 * create table if not exists simulation.system_server
 * (
 * 	id varchar(32) null,
 * 	server_id varchar(64) null,
 * 	server_address varchar(32) null,
 * 	server_type varchar(32) null,
 * 	cpu_useage varchar(32) null,
 * 	memory_useage varchar(32) null,
 * 	memory_available varchar(32) null comment '剩余内存，单位GB',
 * 	disk_usage varchar(32) null,
 * 	disk_abailable varchar(32) null comment '剩余磁盘，单位GB',
 * 	task_number varchar(32) null comment '执行任务数量'
 * )
 * comment '服务器表';
 */
@Mapper
public interface SystemServerMapper {


    @Select("select id,\n" +
            "       server_id,\n" +
            "       server_address,\n" +
            "       server_type,\n" +
            "       cpu_usage,\n" +
            "       memory_usage,\n" +
            "       memory_available,\n" +
            "       disk_usage,\n" +
            "       disk_available,\n" +
            "       task_number,\n" +
            "       weight,\n" +
            "       gpu_usage\n" +
            "from system_server\n" +
            "where is_deleted = '0'")
    List<SystemServerPO> insert();

}
