package com.css.simulation.resource.monitor.scheduler;

import api.common.pojo.dto.Host;
import api.common.pojo.po.home.SystemServerPO;
import api.common.util.SshUtil;
import api.common.util.StringUtil;
import lombok.Data;
import org.apache.sshd.client.SshClient;
import org.apache.sshd.client.session.ClientSession;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@ConfigurationProperties(prefix = "ssh")
@Data
public class MyScheduler {

    List<Host> hostList;

    @Scheduled(fixedDelay = 60 * 60 * 1000)
    public void server() {


        hostList.forEach(host -> {

            String ip = host.getHostname();
            Integer port = host.getPort();
            String username = host.getUsername();
            String password = host.getPassword();
            String type = host.getType();

            try {
                SshClient sshClient = SshUtil.getClient();
                ClientSession session = SshUtil.getSession(sshClient, ip, username, password);
//                if ("gpu".equals(type)){
//                    List<GpuDTO> gpuList = SshUtil.gpuInfo(session);
//                    gpuList.forEach(gpu -> {
//                        gpu.get
//                    });
//                }

                SystemServerPO systemServerPO = SystemServerPO.builder()
                        .id(StringUtil.getRandomUUID())
                        .serverId(SshUtil.hostname(session))
                        .serverAddress(ip)
                        .serverType(type)
                        .memoryUsage(SshUtil.memoryUsage(session))
                        .memoryAvailable(SshUtil.memoryAvailable(session))
                        .memoryTotal( SshUtil.memoryTotal(session))
                        .diskUsage( SshUtil.diskUsage(session))
                        .diskAvailable(SshUtil.diskAvailable(session))
                        .diskTotal(SshUtil.diskTotal(session))
                        .cpuUsage(SshUtil.cpuUsage(session))
                        .cpuTotal(SshUtil.cpuTotal(session))
                        .gpuUsage(SshUtil.gpuUsage(session))
                        .gpuTotal(SshUtil.gpuTotal(session))
//                        .taskNumber()
                        .build();
            } catch (Exception e) {
                e.printStackTrace();
            }
        });


    }


}
