package com.css.simulation.resource.scheduler.mapper;


import com.css.simulation.resource.scheduler.pojo.po.TaskIndexPO;
import org.apache.ibatis.annotations.*;

/**
 * 任务指标
 * simulation_mpt_first_target_score
 * simulation_mpt_last_target_score
 */
@Mapper
public interface TaskIndexMapper {


    @Insert("insert into simulation_mpt_last_target_score(id,\n" +
            "                                             p_id,\n" +
            "                                             target,\n" +
            "                                             not_standard_scene_num,\n" +
            "                                             score,\n" +
            "                                             score_explain,\n" +
            "                                             create_time,\n" +
            "                                             create_user_id,\n" +
            "                                             modify_time,\n" +
            "                                             modify_user_id,\n" +
            "                                             is_deleted)\n" +
            "values (#{leaf.id},\n" +
            "        #{leaf.pId},\n" +
            "        #{leaf.target},\n" +
            "        #{leaf.notStandardSceneNum},\n" +
            "        #{leaf.score},\n" +
            "        #{leaf.scoreExplain},\n" +
            "        #{leaf.createTime},\n" +
            "        #{leaf.createUserId},\n" +
            "        #{leaf.modifyTime},\n" +
            "        #{leaf.modifyUserId},\n" +
            "        #{leaf.isDeleted})")
    void insertLeafIndex(@Param("leaf") TaskIndexPO taskIndexPO);

    @Insert("insert into simulation_mpt_first_target_score(id,\n" +
            "                                             p_id,\n" +
            "                                             target,\n" +
            "                                             score,\n" +
            "                                             create_time,\n" +
            "                                             create_user_id,\n" +
            "                                             modify_time,\n" +
            "                                             modify_user_id,\n" +
            "                                             is_deleted)\n" +
            "values (#{first.id},\n" +
            "        #{first.pId},\n" +
            "        #{first.target},\n" +
            "        #{first.score},\n" +
            "        #{first.createTime},\n" +
            "        #{first.createUserId},\n" +
            "        #{first.modifyTime},\n" +
            "        #{first.modifyUserId},\n" +
            "        #{first.isDeleted})")
    void insertFirstIndex(@Param("first") TaskIndexPO firstTaskIndex);

    @Select("select sublist_id\n" +
            "from scene_package_sublist\n" +
            "where is_deleted = '0'\n" +
            "  and root_id =\n" +
            "      (select scene\n" +
            "       from simulation_manual_project smp\n" +
            "       where id = #{projectId})\n" +
            "and (scene_natural_ids like #{idExtend}\n" +
            "    or scene_traffic_ids like #{idExtend}\n" +
            "    or scene_statue_ids like #{idExtend}\n" +
            "    )\n")
    String selectLeafIndexIdByProjectAndSceneId(@Param("projectId") String projectId, @Param("idExtend") String idExtend);


    @Delete("delete from simulation_mpt_first_target_score where p_id = #{projectId}")
    void deleteFirstByProjectId(@Param("projectId") String projectId);

    @Delete("delete from simulation_mpt_last_target_score where p_id = #{projectId}")
    void deleteLastByProjectId(@Param("projectId") String projectId);
}
