package com.css.simulation.resource.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.MinioParameter;
import api.common.pojo.param.RedisParameter;
import com.css.simulation.resource.feign.FileDownService;
import com.css.simulation.resource.feign.RedisService;
import feign.Response;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@Slf4j
@Service
public class FileDownServiceFallback implements FileDownService {


    @Override
    public ResponseBodyVO<String> upload(@RequestPart("file") MultipartFile file,
                                         @RequestParam("objectName") String objectName) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO<String> uploadProcessBar(@RequestPart("file") MultipartFile file,
                                                   @RequestParam("objectName") String objectName,
                                                   @RequestParam("objectPath") String objectPath) {
        return null;
    }


    @Override
    public Response download(@RequestBody @Validated MinioParameter minioParameter) {
        log.error("------- 下载错误：" + minioParameter.getObjectName());
        return null;
    }

    @Override
    public ResponseBodyVO<List<String>> list(@RequestBody @Validated MinioParameter minioParameter) {
        return null;
    }

    @Override
    public ResponseBodyVO<String> getPreviewUrl(@RequestBody @Validated MinioParameter minioParameter) {
        return null;
    }

}
